Skip to main content
GET
/
wallets
/
{wallet}
/
pools
/
{pool_address}
/
total_claims
Get Wallet Pool Total Claims
curl --request GET \
  --url https://dlmm.datapi.meteora.ag/wallets/{wallet}/pools/{pool_address}/total_claims
{
  "fee_claim_count": 1,
  "pool_address": "<string>",
  "reward_claim_count": 1,
  "total_claims_sol": "<string>",
  "total_claims_usd": "<string>",
  "total_fee_x": "<string>",
  "total_fee_x_sol": "<string>",
  "total_fee_x_usd": "<string>",
  "total_fee_y": "<string>",
  "total_fee_y_sol": "<string>",
  "total_fee_y_usd": "<string>",
  "total_reward_x": "<string>",
  "total_reward_x_sol": "<string>",
  "total_reward_x_usd": "<string>",
  "total_reward_y": "<string>",
  "total_reward_y_sol": "<string>",
  "total_reward_y_usd": "<string>",
  "user_address": "<string>",
  "last_fee_claim_time": "2024-01-15T12:00:00Z",
  "last_reward_claim_time": "2024-01-15T12:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

wallet
string
required

Base58-encoded wallet address

pool_address
string
required

Base58-encoded pool address

Response

fee_claim_count
integer<int64>
required
Required range: x >= 0
pool_address
string
required
reward_claim_count
integer<int64>
required
Required range: x >= 0
total_claims_sol
string
required
total_claims_usd
string
required
total_fee_x
string
required
total_fee_x_sol
string
required
total_fee_x_usd
string
required
total_fee_y
string
required
total_fee_y_sol
string
required
total_fee_y_usd
string
required
total_reward_x
string
required
total_reward_x_sol
string
required
total_reward_x_usd
string
required
total_reward_y
string
required
total_reward_y_sol
string
required
total_reward_y_usd
string
required
user_address
string
required
last_fee_claim_time
string<date-time> | null
Example:

"2024-01-15T12:00:00Z"

last_reward_claim_time
string<date-time> | null
Example:

"2024-01-15T12:00:00Z"